Bug 48888 - DOCTYPE definitions nearly 11 years out-of-date
Summary: DOCTYPE definitions nearly 11 years out-of-date
Status: REOPENED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.4.37
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-03-10 14:46 UTC by frettled@gmail.com
Modified: 2018-11-08 13:56 UTC (History)
0 users



Attachments
Patch for old DOCTYPE definitions (2.85 KB, patch)
2010-03-10 14:46 UTC, frettled@gmail.com
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description frettled@gmail.com 2010-03-10 14:46:32 UTC
Created attachment 25111 [details]
Patch for old DOCTYPE definitions

The DOCTYPE definitions in include/httpd.h are nearly 11 years out-of-date, referring to the HTML 4.0 specification, which was replaced by 4.01 in July 1999.

The attached patch attempts to rectify this by:

1) adding definitions for HTML 4.01, using the current DTD list (http://www.w3.org/QA/2002/04/valid-dtd-list.html)

2) replacing the old definitions with aliases for the new definitions

3) adding definitions for XHTML 1.1 and XHTML Basic 1.1
Comment 1 William A. Rowe Jr. 2018-11-07 21:08:45 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.
Comment 2 frettled@gmail.com 2018-11-08 13:56:47 UTC
According to the mirror at Github, httpd.h still refers to DOCTYPE definitions that, at the time of reporting, were 11 years out of date, but which now are permitted to buy a drink in many states.